bootcamp-research/_bryce/W9D5/music_app/config/routes.rb
Rails.application.routes.draw do
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  root to: redirect("/bands")

  resource :session, only: [:new, :create, :destroy]

  resources :users, only: [:new, :create, :show]
  resources :bands do
    resources :albums, only: [:new]
  end
  resources :albums, only: [:show, :create, :edit, :update, :destroy] do
    resources :tracks, only: [:new]
  end
  resources :tracks, only: [:show, :create, :edit, :update, :destroy]
end

bootcamp-research/_bryce/W9D5/music_app/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>MusicApp</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Rock+Salt" />
    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <!--<%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %> -->
  </head>

  <body>
    <header class="major_section">
    <h1>MUSIC APP</h1>
    <section class="header_box">
      <section class="item">
        <a href="<%= bands_url %>">Take me Home</a>
      </section>
      <section class="item">
        <% if logged_in? %>
          <p><%= current_user.email %></p>
          <form action="<%= session_url %>" method="POST">
            <input type="hidden" name="_method" value="DELETE">
            <input type="hidden" name="authenticity_token" value="<%= form_authenticity_token %>">
            <input type="submit" value="Logout">
          </form>
        <% else %>
          <a href="<%= new_session_url %>">Login</a>
          <a href="<%= new_user_url %>">Signup</a>
        <% end %>
      </section>
    </section>
    </header>
    <%= flash[:errors]  unless flash[:errors].nil?%>
   
    <section class="major_section">
      <%= yield %>
    </section>
    
    <footer class="major_section">
      <%= content_for :footer %>
    </footer>
  </body>
</html>